Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ShapelessRecipes

    java.lang.Object
      net.minecraft.src.ShapelessRecipes

All Implemented Interfaces:
  IRecipe

    public class ShapelessRecipes

extends Object
implements IRecipe

Constructor Summary
`ShapelessRecipes(ItemStack par1ItemStack, List par2List)`

Method Summary
`ItemStack` | `getCraftingResult(InventoryCrafting par1InventoryCrafting)` Returns an Item that is the result of this recipe
`ItemStack` | `getRecipeOutput()`
`int` | `getRecipeSize()` Returns the size of the recipe area
`boolean` | `matches(InventoryCrafting par1InventoryCrafting, World par2World)` Used to check if a recipe matches current crafting inventory

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapelessRecipes

    public ShapelessRecipes(ItemStack par1ItemStack,
                            List par2List)

Method Detail

### getRecipeOutput

    public ItemStack getRecipeOutput()

  Specified by:
    `getRecipeOutput` in interface `IRecipe`

### matches

    public boolean matches(InventoryCrafting par1InventoryCrafting,
                           World par2World)

  Used to check if a recipe matches current crafting inventory

  Specified by:
    `matches` in interface `IRecipe`

### getCraftingResult

    public ItemStack getCraftingResult(InventoryCrafting par1InventoryCrafting)

  Returns an Item that is the result of this recipe

  Specified by:
    `getCraftingResult` in interface `IRecipe`

### getRecipeSize

    public int getRecipeSize()

  Returns the size of the recipe area

  Specified by:
    `getRecipeSize` in interface `IRecipe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD